summaryrefslogtreecommitdiffstats
path: root/debian/bug-script
diff options
context:
space:
mode:
Diffstat (limited to 'debian/bug-script')
-rw-r--r--debian/bug-script21
1 files changed, 21 insertions, 0 deletions
diff --git a/debian/bug-script b/debian/bug-script
new file mode 100644
index 0000000..960628c
--- /dev/null
+++ b/debian/bug-script
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+printf "\n--- /etc/devscripts.conf ---\n" >&3
+
+if [ -f /etc/devscripts.conf ]; then
+ grep -E '^[^#]' /etc/devscripts.conf | \
+ grep -E -v "^\s*BTS_SMTP_AUTH_" | \
+ grep -E -v "^\s*SALSA.*TOKEN" >&3 || echo "Empty." >&3
+else
+ echo "Not present" >&3
+fi
+
+printf "\n--- ~/.devscripts ---\n" >&3
+
+if [ -f ~/.devscripts ]; then
+ grep -E '^[^#]' ~/.devscripts | \
+ grep -E -v "^\s*BTS_SMTP_AUTH_" | \
+ grep -E -v "^\s*SALSA.*TOKEN" >&3 || echo "Empty." >&3
+else
+ echo "Not present" >&3
+fi